Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.xmlbind.params
Class DurationListProperty

    java.lang.Object
      umontreal.iro.lecuyer.xmlbind.params.AbstractProperty
          umontreal.iro.lecuyer.xmlbind.params.DurationListProperty

    public class DurationListProperty

extends AbstractProperty

Represents a property whose value is a list of time durations.

Field Summary
`protected Duration[]` | `value`

Fields inherited from class umontreal.iro.lecuyer.xmlbind.params.AbstractProperty
`name`

Constructor Summary
`DurationListProperty()`

Method Summary
`Duration[]` | `getValue()`
`Duration` | `getValue(int idx)`
`int` | `getValueLength()`
`boolean` | `isSetValue()`
`void` | `setValue(Duration[] values)`
`Duration` | `setValue(int idx, Duration value)`
`void` | `unsetValue()`

Methods inherited from class umontreal.iro.lecuyer.xmlbind.params.AbstractProperty
`getName, isSetName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected Duration[] value

Constructor Detail

### DurationListProperty

    public DurationListProperty()

Method Detail

### getValue

    public Duration[] getValue()

  Returns:
    array of `Duration`

### getValue

    public Duration getValue(int idx)

  Returns:
    one of `Duration`

### getValueLength

    public int getValueLength()

### setValue

    public void setValue(Duration[] values)

  Parameters:
    `values` - allowed objects are `Duration`

### setValue

    public Duration setValue(int idx,
                             Duration value)

  Parameters:
    `value` - allowed object is `Duration`

### isSetValue

    public boolean isSetValue()

### unsetValue

    public void unsetValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.